project('RedScarfEngine',
        ['c', 'cpp'],
        version: '0.0.1',
        default_options: [
          'warning_level=3',
          'werror=true'
          ])

# add_project_arguments('-DWAYLAND=1', language : 'c')

subdir('utilities')
subdir('graphics')
subdir('events')

subdir('red_scarf_engine')

